=== debian/changelog ===
mupen64plus-ui-console (2.5-5) unstable; urgency=medium

  * debian/patches:
    - Add Fix-GNU-troff-L-in-k-compatibility-of-manpage.patch
  * debian/control
    - Automatically select correct Vcs-Git branch
    - Upgraded to policy 4.4.0, no changes required
    - Switch to debhelper 12
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Tue, 27 Aug 2019 23:47:34 +0200

mupen64plus-ui-console (2.5-4) unstable; urgency=medium

  * debian/control
    - Change Vcs-Git to https://
    - update to debhelper 10
    - Move VCS-* to salsa.debian.org
  * Change debian URLs to https://
  * Sort debian control files with `wrap-and-sort -abst`
  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/copyright:
    - Update copyright years
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
    - Drop (now default) parameter --parallel for dch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 21:53:31 +0200

mupen64plus-ui-console (2.5-3) unstable; urgency=medium

  * debian/control, debian/rules:
     - Drop mupen64plus-ui-console-dbg in favor of -dbgsym package
  * Update copyright years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Jan 2016 12:59:49 +0100

mupen64plus-ui-console (2.5-2) unstable; urgency=medium

  * debian/control:
    - Change Vcs-Browser to new alioth CGit URL
    - Move Vcs URLs from collab-maint to pkg-games
    - Update upstream URLs
    - Set Maintainer to Debian Games Team
  * debian/patches:
    - Move patches to alternative DEP-3 format and manage them with gbp pq

 -- Sven Eckelmann <sven@narfation.org>  Thu, 26 Nov 2015 07:51:43 +0100

mupen64plus-ui-console (2.5-1) unstable; urgency=medium

  * New Upstream Version
  * Upload to unstable
  * Install mupen64plus.desktop to associate application/x-n64-rom files with
    mupen64plus-ui-console
  * Upgraded to policy 3.9.6, no changes required
  * debian/copyright:
    - Update years in debian/copyright
    - Add new files to debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 May 2015 16:42:54 +0200

mupen64plus-ui-console (2.0+18+gfb21340-1) experimental; urgency=medium

  * New Upstream Snapshot from fb21340f22ac17a5f1fdcf51a12f228638e5b332
  * debian/patches:
    - Remove upstream merged make_header_depends.patch
  * debian/mupen64plus-ui-console.install:
    - Install *.desktop and related files

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Sep 2014 11:53:01 +0200

mupen64plus-ui-console (2.0-2) unstable; urgency=low

  * debian/patches:
    - Add make_header_depends.patch, Don't fail rebuild when header is removed
  * debian/rules:
    - Re-enable -flto because the error was caused by different combination
  * Upgraded to policy 3.9.5, no changes required
  * debian/watch:
    - Change upstream check from bitbucket to github
  * debian/copyright:
    - Change upstream source to github
  * debian/get-orig-source.sh
    - Change upstream repository to github
    - Change SCM from Mercurial to Git
  * Update copyright years in debian/copyright
  * Move keyring for signature verification to new debian/upstream/
  * debian/rules:
    - Use Largefile Support enabled C API

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 16:18:25 +0200
