=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 https://github.com/mupen64plus/mupen64plus-ui-console/releases \
	/mupen64plus/mupen64plus-ui-console/releases/download/[^/]+/mupen64plus-ui-console-src-(.*\d).tar.gz
