## mupen64plus-ui-console 2.5.9

=== projects/unix/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 # *   Mupen64plus - Makefile                                                *
-# *   Mupen64Plus homepage: http://code.google.com/p/mupen64plus/           *
+# *   Mupen64Plus homepage: https://mupen64plus.org/                        *
 # *   Copyright (C) 2009 Richard42                                          *
 # *                                                                         *
 # *   This program is free software; you can redistribute it and/or modify  *
@@ -40,7 +40,6 @@
 endif
 ifeq ("$(UNAME)","OpenBSD")
   OS = FREEBSD
-  $(warning OS type "$(UNAME)" not officially supported.')
 endif
 ifneq ("$(filter GNU/kFreeBSD kfreebsd,$(UNAME))","")
   OS = LINUX
@@ -49,7 +48,7 @@
   OS = MINGW
 endif
 ifeq ("$(OS)","NONE")
-  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
+  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'https://github.com/mupen64plus/mupen64plus-core/issues')
 endif
 
 # detect system architecture, only if it matters for build flags
@@ -77,15 +76,10 @@
   CFLAGS += -lpthread
   LDLIBS += -lpthread
 else
-  CFLAGS += -pthread
-  LDLIBS += -pthread
-endif
-
-ifeq ($(PIE), 1)
-  CFLAGS += -fPIE
-  LDFLAGS += -pie
-else
-  CFLAGS += -fno-PIE
+  ifneq ($(OS), OSX)
+    CFLAGS += -pthread
+    LDLIBS += -pthread
+  endif
 endif
 
 # set special flags per-system
@@ -93,15 +87,14 @@
   LDLIBS += -ldl
 endif
 ifeq ($(OS), OSX)
-  #xcode-select has been around since XCode 3.0, i.e. OS X 10.5
-  OSX_SDK_ROOT = $(shell xcode-select -print-path)/Platforms/MacOSX.platform/Developer/SDKs
-  OSX_SDK_PATH = $(OSX_SDK_ROOT)/$(shell ls $(OSX_SDK_ROOT) | tail -1)
+  OSX_SDK_PATH = $(shell xcrun --sdk macosx --show-sdk-path)
+  LDLIBS += -framework CoreFoundation
 
   ifeq ($(CPU), X86)
     ifeq ($(ARCH_DETECTED), 64BITS)
-      CFLAGS += -pipe -arch x86_64 -mmacosx-version-min=10.5 -isysroot $(OSX_SDK_PATH)
+      CFLAGS += -pipe -arch x86_64 -mmacosx-version-min=10.6 -isysroot $(OSX_SDK_PATH)
     else
-      CFLAGS += -pipe -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.5 -isysroot $(OSX_SDK_PATH)
+      CFLAGS += -pipe -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.6 -isysroot $(OSX_SDK_PATH)
     endif
   endif
 endif
@@ -179,12 +172,50 @@
 COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
 LINK.o = $(Q_LD)$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET_ARCH)
 
+ifeq ($(PIE), 1)
+  CFLAGS += -fPIE
+  LDFLAGS += -pie
+else
+  CFLAGS += -fno-PIE
+  ifeq ($(CC),$(CROSS_COMPILE)gcc)
+    # check if PIE is the default for the compiler
+    PIE_DEFAULT = $(shell $(CC) -v 2>&1 | grep enable-default-pie)
+    ifneq ($(PIE_DEFAULT),)
+      LDFLAGS += -no-pie
+    endif
+  endif
+endif
+
+# set installation options
+ifeq ($(PREFIX),)
+  PREFIX := /usr/local
+endif
+ifeq ($(LIBDIR),)
+  LIBDIR := $(PREFIX)/lib
+endif
+ifeq ($(BINDIR),)
+  BINDIR := $(PREFIX)/bin
+endif
+ifeq ($(MANDIR),)
+  MANDIR := $(PREFIX)/share/man
+endif
+ifeq ($(APPSDIR),)
+  APPSDIR := $(PREFIX)/share/applications
+endif
+ifeq ($(ICONSDIR),)
+  ICONSDIR := $(PREFIX)/share/icons/hicolor
+endif
+
 # set special flags for given Makefile parameters
+ifeq ($(PLUGINDIR),)
+  CFLAGS += '-DPLUGINDIR="$(LIBDIR)/mupen64plus"'
+else
+  CFLAGS += '-DPLUGINDIR="$(PLUGINDIR)"'
+endif
 # note: COREDIR _must_ end in a slash if you want it to work; not necessary for the others
-ifneq ($(PLUGINDIR),)
-  CFLAGS += '-DPLUGINDIR="$(PLUGINDIR)"'
-endif
-ifneq ($(COREDIR),)
+ifeq ($(COREDIR),)
+  CFLAGS += '-DCOREDIR="$(LIBDIR)/"'
+else
   CFLAGS += '-DCOREDIR="$(COREDIR)"'
 endif
 ifneq ($(SHAREDIR),)
@@ -195,23 +226,6 @@
   INSTALL_STRIP_FLAG ?= 
 else
   INSTALL_STRIP_FLAG ?= -s
-endif
-
-# set installation options
-ifeq ($(PREFIX),)
-  PREFIX := /usr/local
-endif
-ifeq ($(BINDIR),)
-  BINDIR := $(PREFIX)/bin
-endif
-ifeq ($(MANDIR),)
-  MANDIR := $(PREFIX)/share/man
-endif
-ifeq ($(APPSDIR),)
-  APPSDIR := $(PREFIX)/share/applications
-endif
-ifeq ($(ICONSDIR),)
-  ICONSDIR := $(PREFIX)/share/icons/hicolor
 endif
 
 SRCDIR = ../../src
@@ -228,6 +242,7 @@
 	$(SRCDIR)/cheat.c \
 	$(SRCDIR)/compare_core.c \
 	$(SRCDIR)/core_interface.c \
+	$(SRCDIR)/debugger.c \
 	$(SRCDIR)/main.c \
 	$(SRCDIR)/plugin.c
