=== debian/changelog ===
mupen64plus-ui-console (2.5.9-2) unstable; urgency=medium

  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Nov 2022 16:25:07 +0100

mupen64plus-ui-console (2.5.9-1) experimental; urgency=medium

  * New Upstream Version
  * debian/control:
    - Depend on mupen64plus >= 2.5.9
    - Depend on new mupen64plus ABIs
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12
  * debian/patches:
    - Add fix-issue-54-front-end-application-uses-Config-API-functi.patch, Fix
      config API dependency
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/copyright
    - Update copyright years to 2019
    - Add copyright for new files

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:17:03 +0100

mupen64plus-ui-console (2.5-6) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.1, no changes required
    - Allow build without (fake)root
    - Switch default Vcs-Git branch to debian/unstable
    - Switch to debhelper compat 13
    - Remove versioned constraints unnecessary since buster
    - Use secure URI in Homepage field
  * debian/copyright
    - Update copyright years to 2022
  * Drop duplicated fields from upstream/metadata
  * Update debian/watch for format 4
  * Remove constraints unnecessary since buster (oldstable):
    + mupen64plus-ui-console: Drop versioned constraint on mupen64plus in
      Breaks and Replaces.

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 18:56:33 +0100
