=== debian/control ===
Source: mupen64plus-ui-console
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sven Eckelmann <sven@narfation.org>,
 Tobias Loose <TobiasLoose@gmx.de>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://mupen64plus.org/
Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-ui-console.git -b debian/unstable
Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-ui-console
Build-Depends:
 debhelper-compat (= 13),
 libmupen64plus-dev (>= 2.5.9),
 libsdl2-dev,

Package: mupen64plus-ui-console
Architecture: any-amd64 any-i386
Depends:
 mupen64plus-audio-all | mupen64plus-audio,
 mupen64plus-config-abi-2.3.1,
 mupen64plus-data,
 mupen64plus-debug-abi-2.0.1,
 mupen64plus-frontend-abi-2.1.2,
 mupen64plus-input-all | mupen64plus-input,
 mupen64plus-rsp-all | mupen64plus-rsp,
 mupen64plus-video-all | mupen64plus-video,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 mupen64plus-ui,
Description: console frontend for mupen64plus
 Minimal console user interface for mupen64plus. Features provided:
  * Changeable emulation plugins for audio, core, input, rsp, video
  * Selection of emulation core
  * Graphical OSD for status output
  * Setting of configuration variable per session or in configuration file
  * Cheat database support
  * Loading of roms
 .
 It does not provide any sort of graphical setup or functionality to
 uncompress files.
