## mupen64plus-ui-console 2.5.9%2B26%2Bg3ad5cbb

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 
 opts="pgpsigurlmangle=s/$/.asc/" \
  https://github.com/mupen64plus/mupen64plus-ui-console/releases \
