=== debian/changelog ===
mupen64plus-ui-console (2.5.9+26+g3ad5cbb-3) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 18:33:35 +0100

mupen64plus-ui-console (2.5.9+26+g3ad5cbb-2) unstable; urgency=medium

  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Fri, 16 Dec 2022 21:01:18 +0100

mupen64plus-ui-console (2.5.9+26+g3ad5cbb-1) experimental; urgency=medium

  * New Upstream Snapshot from 3ad5cbb56fcf4921ffae8c7b8ee52ea0ae82c044
  * Upload to experimental

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Nov 2022 18:04:27 +0100
