=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://mupen64plus.org/
 Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-ui-console.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-ui-console
 Build-Depends:
  debhelper-compat (= 13),
- libmupen64plus-dev (>= 2.5.9),
+ libmupen64plus-dev (>= 2.5.9+322+g2ac8682c),
  libsdl2-dev,
 
 Package: mupen64plus-ui-console
@@ -22,7 +22,7 @@
  mupen64plus-config-abi-2.3.1,
  mupen64plus-data,
  mupen64plus-debug-abi-2.0.1,
- mupen64plus-frontend-abi-2.1.2,
+ mupen64plus-frontend-abi-2.1.3,
  mupen64plus-input-all | mupen64plus-input,
  mupen64plus-rsp-all | mupen64plus-rsp,
  mupen64plus-video-all | mupen64plus-video,
