## mupen64plus-ui-console 2.6.0

=== projects/unix/Makefile ===
--- 
+++ 
@@ -68,7 +68,7 @@
 endif
 
 SRCDIR = ../../src
-OBJDIR = _obj$(POSTFIX
+OBJDIR = _obj$(POSTFIX)
 
 # base CFLAGS, LDLIBS, and LDFLAGS
 OPTFLAGS ?= -O3 -flto
@@ -95,9 +95,9 @@
 
   ifeq ($(CPU), X86)
     ifeq ($(ARCH_DETECTED), 64BITS)
-      CFLAGS += -pipe -arch x86_64 -mmacosx-version-min=10.6 -isysroot $(OSX_SDK_PATH)
-    else
-      CFLAGS += -pipe -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.6 -isysroot $(OSX_SDK_PATH)
+      CFLAGS += -pipe -arch x86_64 -mmacosx-version-min=10.9 -isysroot $(OSX_SDK_PATH)
+    else
+      CFLAGS += -pipe -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.9 -isysroot $(OSX_SDK_PATH)
     endif
   endif
 endif
@@ -252,9 +252,6 @@
 else
   INSTALL_STRIP_FLAG ?= -s
 endif
-
-SRCDIR = ../../src
-OBJDIR = _obj$(POSTFIX)
 
 ifeq ("$(OS)","MINGW")
   EXEEXT = .exe
@@ -307,8 +304,8 @@
 	@echo "    PIE=(1|0)      == Force enable/disable of position independent executables"
 	@echo "    POSTFIX=name  == String added to the name of the the build (default: '')"
 	@echo "  Install Options:"
-	@echo "    PREFIX=path    == install/uninstall prefix (default: /usr/local/)"
-	@echo "    BINDIR=path    == path to install mupen64plus binary (default: PREFIX/bin/)"
+	@echo "    PREFIX=path    == install/uninstall prefix (default: /usr/local)"
+	@echo "    BINDIR=path    == path to install mupen64plus binary (default: PREFIX/bin)"
 	@echo "    MANDIR=path    == path to install mupen64plus manual page (default: PREFIX/share/man)"
 	@echo "    APPSDIR=path   == path to install desktop file (default: PREFIX/share/applications)"
 	@echo "    ICONSDIR=path  == path to install icon files (default: PREFIX/share/icons/hicolor)"
