=== debian/changelog ===
mupen64plus-ui-console (2.6.0-2) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.7.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Mar 2025 20:57:58 +0100

mupen64plus-ui-console (2.6.0-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Mon, 15 Jul 2024 10:27:37 +0200

mupen64plus-ui-console (2.5.9+26+g3ad5cbb-4) unstable; urgency=medium

  * debian/rules:
    - Use DEB_BUILD_MAINT_OPTIONS to set lto flags
    - Use DEB_BUILD_MAINT_OPTIONS to set lfs flag
  * debian/watch:
    - Switch to api.github.com to check for releases
  * debian/patches:
    - Add main.c-Fix-64DD-ROM-loading.patch, Fix 64DD ROM loading
      (Closes: #1075299)

 -- Sven Eckelmann <sven@narfation.org>  Wed, 03 Jul 2024 15:38:02 +0200
